

def load_data(filename, groupname, attribute):

    f=open(filename)
    header=f.readline().split()
    group_id=header.index(groupname)
    attribute_id=header.index(attribute)
    groups={}
    for row in f.readlines():
        data=row.split()
        group=data[group_id]
        attr=data[attribute_id]
        if not groups.has_key(group):
            groups[group]=[attr]
        else:
            groups[group].append(attr)
    f.close()
    return groups

def compute_average(data):
    avg=0.
    for el in data:
        avg+=float(el)
    return avg/len(data)

def compute_histogram(data):
    hist={}
    for el in data:
        if hist.has_key(el):
            hist[el]+=1
        else:
            hist[el]=1
    return hist


def group_stats(filename, groupname, attribute, continuous):
    groups=load_data(filename, groupname, attribute)
    print "%s\t%s" %(groupname,attribute)
    for (group,data) in groups.items():
        if continuous == "S":
            stats=compute_average(data)
            print "%s\t%f" % (group,stats)
        else:
            stats=compute_histogram(data)
            print group + "\t" + " ".join(["%s->%d" %(k,v) for k,v in stats.items()])

filename=raw_input("Inserire nome file: ")
groupname=raw_input("Inserire classificazione: ")
attribute=raw_input("Inserire attributo: ")
continuous=raw_input("attributo continuo?(S/N): ")

group_stats(filename, groupname, attribute, continuous)
